Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.juzu.metadata
Enum Cardinality

    java.lang.Object
      java.lang.Enum<Cardinality>
          org.juzu.metadata.Cardinality

All Implemented Interfaces:
  Serializable, Comparable<Cardinality>

    public enum Cardinality

extends Enum<Cardinality>

Author:
  Julien Viet

Enum Constant Summary
`ARRAY`
`LIST`
`SINGLE`

Method Summary
`static Cardinality` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Cardinality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE

    public static final Cardinality SINGLE

### ARRAY

    public static final Cardinality ARRAY

### LIST

    public static final Cardinality LIST

Method Detail

### values

    public static Cardinality[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Cardinality c : Cardinality.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Cardinality valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.